%global dlrn_nvr ironic-python-agent-builder-1.1.1.dev5-0.20191203040321.a34dfda
%global dlrn 1
%define upstream_version 1.1.1.dev5
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           openstack-ironic-python-agent-builder
Summary:        Builder of ironic-python-agent ramdisk images
Version: 1.1.1
Release: 0.20191203040321.a34dfda%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://docs.openstack.org/ironic-python-agent-builder
Source0: ironic-python-agent-builder-1.1.1.dev5-0.20191203040321.a34dfda.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=a34dfda613c4bcae14fa24f2265469b5f207bf13

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

Requires:       diskimage-builder

%description
This package contains a script to build an ironic-python-agent builder, as well
as a diskimage-builder element for it.

%prep
%autosetup -n ironic-python-agent-builder-%{upstream_version} -S git

%build
%{pyver_build}

%install
%{pyver_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%license LICENSE
%doc README.rst
%doc AUTHORS
%doc ChangeLog
%{pyver_sitelib}/ironic_python_agent_builder*
%{_bindir}/ironic-python-agent-builder
%{_datadir}/ironic-python-agent-builder

%changelog
* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Update tinycore from 9.x to 10.x"
- Update tinycore from 9.x to 10.x

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Drop python 2.7 support and testing

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix IPA execution issues due to lack of entropy

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Generate checksums for DIB images

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "CLI: add --verbose and --extra-args"
- CLI: add --verbose and --extra-args

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- tinyIPA: raise udevadm settle timeout

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "DIB: add --branch argument to override IPA branch"
- DIB: add --branch argument to override IPA branch

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Clone and checkout is not needed anymore"
- Clone and checkout is not needed anymore

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Blacklist sphinx 2.1.0 (autodoc bug)"
- Blacklist sphinx 2.1.0 (autodoc bug)

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Revert "Temporary raise diskimage-builder to the latest version""
- Revert "Temporary raise diskimage-builder to the latest version"

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Update upper-constraints handling

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Allow extra python pakgs into tinyipa"
- Allow extra python pakgs into tinyipa

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Allow changing DIB_RELEASE and add a job with CentOS 8
- Merge "Slim down the pre-built DIB IPA images"
- Merge "DIB: allow disabling rescue mode"
- Merge "Increase the DIB DHCP timeout to 60"
- Merge "DIB: default to installing pip and virtualenv from packages"
- Slim down the pre-built DIB IPA images
- DIB: allow disabling rescue mode
- DIB: default to installing pip and virtualenv from packages
- Increase the DIB DHCP timeout to 60

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Temporary raise diskimage-builder to the latest version

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "DIB: do not mention dhcp-all-interfaces explicitly"
- DIB: add non-voting image building jobs for various distros
- DIB: do not mention dhcp-all-interfaces explicitly

* Tue Oct 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Clean up the ansible playbooks"
- Clean up the ansible playbooks

